﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;


namespace testForegroundChange
{
    class TextToColorConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;
            try
            {
                BrushConverter c = new BrushConverter();
                Brush b = c.ConvertFromString(value.ToString()) as Brush;
                return b;
            }
            catch
            {return Binding.DoNothing;}


        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return Binding.DoNothing;
            
        }

        #endregion
    }
}
